package com.ruoyi.web.modules.store.vo;

/**
 * 店铺详情
 */
public class ShopDetailVO
{
    private Long shopId;

    private Long merchantId;

    private String merchantName;

    private String shopName;

    private String shopAvatar;

    private String shopStatus;

    private String shopDesc;

    private String shopPhone;

    private String accountAdminName;

    private String accountLoginName;

    private boolean canDelete;

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getMerchantId()
    {
        return merchantId;
    }

    public void setMerchantId(Long merchantId)
    {
        this.merchantId = merchantId;
    }

    public String getMerchantName()
    {
        return merchantName;
    }

    public void setMerchantName(String merchantName)
    {
        this.merchantName = merchantName;
    }

    public String getShopName()
    {
        return shopName;
    }

    public void setShopName(String shopName)
    {
        this.shopName = shopName;
    }

    public String getShopAvatar()
    {
        return shopAvatar;
    }

    public void setShopAvatar(String shopAvatar)
    {
        this.shopAvatar = shopAvatar;
    }

    public String getShopStatus()
    {
        return shopStatus;
    }

    public void setShopStatus(String shopStatus)
    {
        this.shopStatus = shopStatus;
    }

    public String getShopDesc()
    {
        return shopDesc;
    }

    public void setShopDesc(String shopDesc)
    {
        this.shopDesc = shopDesc;
    }

    public String getShopPhone()
    {
        return shopPhone;
    }

    public void setShopPhone(String shopPhone)
    {
        this.shopPhone = shopPhone;
    }

    public String getAccountAdminName()
    {
        return accountAdminName;
    }

    public void setAccountAdminName(String accountAdminName)
    {
        this.accountAdminName = accountAdminName;
    }

    public String getAccountLoginName()
    {
        return accountLoginName;
    }

    public void setAccountLoginName(String accountLoginName)
    {
        this.accountLoginName = accountLoginName;
    }

    public boolean isCanDelete()
    {
        return canDelete;
    }

    public void setCanDelete(boolean canDelete)
    {
        this.canDelete = canDelete;
    }
}
